Skip to main content
GET
/
virtual-wallets
/
{walletId}
/
balance
curl -X GET "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/balance" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "name": "USD Coin",
    "symbol": "USDC",
    "balance": 250.75,
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
  }
]
Retrieves the token balances of a specific virtual wallet by its unique identifier. Requires an API key with access level 1 or higher.

Path parameters

walletId
string
required
Unique identifier of the virtual wallet.

Response

Returns an array of balance objects.
name
string
Token name.
symbol
string
Token symbol.
balance
number
Current balance amount.
token_address
string
Smart contract address of the token.
curl -X GET "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/balance" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "name": "USD Coin",
    "symbol": "USDC",
    "balance": 250.75,
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
  }
]